ResolvedConfiguration (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.api.artifacts

## [Java] Interface ResolvedConfiguration

- A `ResolvedConfiguration` represents the result of resolving a Configuration, and provides access to both the artifacts and the meta-data of the result.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Set<File>` | `getFiles(Spec<? super Dependency> dependencySpec)` Returns the files for the specified subset of configuration dependencies.
    `Set<ResolvedDependency>` | `getFirstLevelModuleDependencies()` Returns the ResolvedDependency instances for each direct dependency of the configuration.
    `Set<ResolvedDependency>` | `getFirstLevelModuleDependencies(Spec<? super Dependency> dependencySpec)` Returns the ResolvedDependency instances for each direct dependency of the configuration that matches the given spec.
    `LenientConfiguration` | `getLenientConfiguration()` Provides configuration that does not fail eagerly when some dependencies are not resolved.
    `Set<ResolvedArtifact>` | `getResolvedArtifacts()` Returns the set of artifact meta-data for this configuration.
    `boolean` | `hasError()` Returns whether all dependencies were successfully retrieved or not.
    `void` | `rethrowFailure()` A resolve of a configuration that is not successful does not automatically throws an exception.

- - ### Method Detail

    - #### public Set<File> getFiles(Spec<? super Dependency> dependencySpec)

      Returns the files for the specified subset of configuration dependencies.

      throws:
        ResolveException when the resolve was not successful.
      Parameters:
        `dependencySpec` - The filter for the configuration dependencies.
      Returns:
        The artifact files of the specified dependencies.

    - #### public Set<ResolvedDependency> getFirstLevelModuleDependencies()

      Returns the ResolvedDependency instances for each direct dependency of the configuration. Via those you have access to all ResolvedDependency instances, including the transitive dependencies of the configuration.

      throws:
        ResolveException when the resolve was not successful.
      Returns:
        A `ResolvedDependency` instance for each direct dependency.

    - #### public Set<ResolvedDependency> getFirstLevelModuleDependencies(Spec<? super Dependency> dependencySpec)

      Returns the ResolvedDependency instances for each direct dependency of the configuration that matches the given spec. Via those you have access to all ResolvedDependency instances, including the transitive dependencies of the configuration.

      throws:
        ResolveException when the resolve was not successful.
      Parameters:
        `dependencySpec` - A filter for the dependencies to be resolved.
      Returns:
        A `ResolvedDependency` instance for each direct dependency.

    - #### public LenientConfiguration getLenientConfiguration()

      Provides configuration that does not fail eagerly when some dependencies are not resolved.

    - #### public Set<ResolvedArtifact> getResolvedArtifacts()

      Returns the set of artifact meta-data for this configuration.

      throws:
        ResolveException when the resolve was not successful.
      Returns:
        The set of artifacts.

    - #### public boolean hasError()

      Returns whether all dependencies were successfully retrieved or not.

    - #### public void rethrowFailure()

      A resolve of a configuration that is not successful does not automatically throws an exception. Such a exception is only thrown if the result of a resolve is accessed. You can force the throwing of such an exception by calling this method.

      throws:
        ResolveException when the resolve was not successful.